<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
	<link rel="stylesheet" href="styles.css">

    <title>Hello, world!</title>
  </head>
  <body>

	<div class="container px-4 h-auto">
		
		<div class="row">
			 <div class="col p-2 border-bottom border-warning">
				<div class="d-flex p-2">
					 <div class="h-auto d-inline-block p-2 border bg-secondary m-2 overflow-hidden" style="width: 120px;">Высота 25%</div>
					<div class="p-2 border bg-secondary m-2 w-25 overflow-hidden">Пользовательские внутренние отступы колонок</div>
					<div class="p-2 border bg-secondary m-2 w-100 overflow-hidden">Пользовательские внутренние отступы колонок</div>
									
				</div>
			 
			 
			 </div>
		</div>	
		
		<div class="row">
			 <div class="col-2 p-3 ">
				<div class="position-relative h-100">
					<div class="p-3 m-2 border bg-secondary overflow-hidden">Пользовательские внутренние оsdfgsfgsgfsgfтступы колонок</div>
						<div class="p-3 m-2 border bg-danger overflow-hidden">1adfadsfadsfasdfadfasd asdlfjal jsdf;la </div>
					
  
					
					
					
					</div>
							
							
							
				</div>
						 <div class="col-10 p-3">
							 <div class="row">
								<div class="col">
									<div class="d-flex flex-column p-2">
					<div class="p-3 border bg-info">Пользовательские внутренние отступы колонок Пользовательские внутренние отступы колонок Пользовательские внутренние отступы колонокПользовательские внутренние отступы колонокПользовательские внутренние отступы колонокПользовательские внутренние отступы колонокПользовательские внутренние отступы колонокПользовательские внутренние отступы колонок</div>
							</div>
							</div>
							</div>
						 
						 <div class="row row-cols-5">
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
							<div class="col"><div class="p-2 m-2 border bg-info">Пользовательские внутренние отступы колонок</div></div>
						  </div>
						 
						 <div class="row">
								<div class="col-6">
								  <div class="p-2 m-2 border bg-info h-75">Пользовательские внутренние отступы колонок</div>
								</div>
								<div class="col-6">
								  <div class="p-2 m-2 border bg-info h-75">Пользовательские внутренние отступы колонок</div>
								</div>
								
								
						</div>
						 
						 
						 
						 
						 
						 </div>
		</div>	
		
		<div class="row">
								<div class="col-4 p-2 border-top border-warning">
								  <div class="p-2 m-2 border bg-secondary" style="height: 150px;">Пользовательские внутренние отступы колонок</div>
								</div>
								<div class="col-4 p-2 border-top border-warning">
								  <div class="p-2 m-2 border bg-secondary" style="height: 150px;">Пользовательские внутренние отступы колонок</div>
								</div>
								<div class="col-4 p-2 border-top border-warning">
								 <div class="p-2 m-2 border bg-secondary" style="height: 70px;">Пользовательские внутренние отступы колонок</div>
								 <div class="p-2 m-2 border bg-secondary" style="height: 70px;">Пользовательские внутренние отступы колонок</div>
								</div>
						</div>
		

		
		
		
	</div>	
	


  </body>
</html>